#unity-container {
    position: absolute
}

#unity-container.unity-desktop {
    padding: env(safe-area-inset-top) env(safe-area-inset-right) env(safe-area-inset-bottom) env(safe-area-inset-left);
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%)
}

#unity-container.unity-mobile {
    padding: env(safe-area-inset-top) env(safe-area-inset-right) env(safe-area-inset-bottom) env(safe-area-inset-left);
    width: 100%;
    height: 100%
}

#unity-canvas {
    background: url('./Build/test3.png') no-repeat center;
    background-size: 100% auto;
	
}

.unity-mobile #unity-canvas {
    width: 100%;
    height: 100%;
    /*background: url('Skybox.png') no-repeat center;*/
    background-size: auto 100%;
}


body {
    margin: 0;
    padding: 0;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

.circle-container {
    position: relative;
    width: 100px;
    height: 100px;
    z-index: 10;
}

.logo {
    position: absolute;
    top: -175px;
    left: 58%;
    transform: translateX(-50%);
    width: 200px;
    height: auto;
    z-index: 20;
}

.circle {
    width: 100%;
    height: 100%;
    border: 5px solid rgba(0, 0, 0, 0.1);
    border-top-color: #3498db;
    border-radius: 50%;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

@media (max-width: 768px) {
    .circle-container {
        width: 120px;
        height: 120px;
    }
    
    .logo {
        width: 150px;
        top: -140px;
    }
}


